Results 1 to 9 of 9

Thread: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

  1. #1

    Default PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Just a warning. The update to drm-kmp-default makes the CPU usage go off the chart. I was getting 150% CPU (go figure) just running yast. Fortunately I remembered that this was the update I ran just before the problem started.

    I couldn't get get yast to work in a reasonable time period. I booted then did yum erase drm-kmp-default. I may try to find the old rev if I have any problems.

    Running yast hardware inspection, the graphics is known as "mobile 4 series integrated graphics controller".

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,185
    Blog Entries
    3

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    As far as I know, drm-kmp-default is mostly for the newest Intel chips (skylake, kaby lake, etc). It provides the graphics support from newer kernels. You seem to have an older Intel system. So removing that package should do no harm.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    There yum erase deleted the older DRM that potentially had code for this older notebook. I didn't (well actually don't) know how to just roll it back one rev. My last yast update tried to install drm-kmp-default again, but I was able to stop that.

    The text associated with the update was along the lines of your reply, but it hinted that it would be appropriate for other CPUs. I have a previous post where I had to delete the intel graphics driver to get around google earth crashing. This is supposed to drop me to the open source graphics.

    I know it is evil, but I'm going Nvidia on the next notebook.

  4. #4

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Here is the exact message associated with the update. (Not my typo on implementation. ;-0 )

    Backported drm kernel modules for upgrading to the 4.9.x kernel implemntations. This is mainly for supporting Intel Kabylake graphics, but also for bringing up / fixing the other graphics devices.

  5. #5

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Quote Originally Posted by gariac View Post
    Here is the exact message associated with the update. (Not my typo on implementation. ;-0 )

    Backported drm kernel modules for upgrading to the 4.9.x kernel implemntations. This is mainly for supporting Intel Kabylake graphics, but also for bringing up / fixing the other graphics devices.
    Right, but meanwhile they say this:
    meanwhile we've wisened up a bit, and found that Intel chips older than
    Skylake suffer from issues with the drm-kmp package, yet even newer kernels
    without a DRM backport seem to be fine.
    ( https://lists.opensuse.org/opensuse-.../msg03493.html )

    So, use it if it works, or uninstall it if that works better for you, and be happy.

  6. #6
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,185
    Blog Entries
    3

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Quote Originally Posted by gariac View Post
    My last yast update tried to install drm-kmp-default again, but I was able to stop that.
    You can lock that package (or taboo it). Easiest with with Yast Software Management, and right click on the package to get the menu.

    I know it is evil, but I'm going Nvidia on the next notebook.
    I'm avoiding Nvidia for the present.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  7. #7
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    3,974

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Quote Originally Posted by nrickert View Post
    I'm avoiding Nvidia for the present.
    So am I. The path to Linux happiness seems to be littered with Nvidia complaints for months, now.
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  8. #8

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Quote Originally Posted by Fraser_Bell View Post
    So am I. The path to Linux happiness seems to be littered with Nvidia complaints for months, now.
    I noticed another drm update showed up. Once bitten, twice shy and all that stuff. I locked the update as suggested. When I have a DRM issue, I will test the latest rev.

    Funny thing about Nvidia. I ran into a CERN programmer (so I assume he's a guru) who said sometimes Nvida messes up his system so badly that he has to resintall the OS. Now I'm thinking AMD. What I really want is a reduction in headaches, not necessarily performance. I understand AMD has some degree of an open source driver, which is how I'm running my Intel GPU.

  9. #9
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,185
    Blog Entries
    3

    Default Re: PSA: drm-kmp-default update upsets intel GPU on Dell e6400

    Quote Originally Posted by gariac View Post
    I noticed another drm update showed up. Once bitten, twice shy and all that stuff. I locked the update as suggested. When I have a DRM issue, I will test the latest rev.
    You probably won't need that module.

    Leap 15.0 will be coming out soon. Presumably you will eventually upgrade to that. And then might be a good time to retest. However, that drm kernel module does not appear to be there -- it's probably not needed with the newer kernel being used.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •